Debian Bug report logs - #608525
sendmail: FTBFS on hurd-i386

version graph

Package: sendmail; Maintainer for sendmail is Jakub Safarik <jsafarik@ymail.com>; Source for sendmail is src:sendmail.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 31 Dec 2010 22:27:01 UTC

Severity: important

Tags: patch

Found in versions sendmail/8.14.4-4.1, sendmail/8.14.4-2

Fixed in version sendmail/8.14.4-5

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard A Nelson (Rick) <cowboy@debian.org>:
Bug#608525; Package sendmail. (Fri, 31 Dec 2010 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Richard A Nelson (Rick) <cowboy@debian.org>. (Fri, 31 Dec 2010 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sendmail: FTBFS on hurd-i386
Date: Fri, 31 Dec 2010 23:24:50 +0100
[Message part 1 (text/plain, inline)]
Package: sendmail
Version: 8.14.4-2
Severity: important
Tags: patch

Hello,

sendmail currently FTBFS on hurd-i386 because of a not-uptodate config
and an inconditional occurence of the optional PATH_MAX macro. Here are
patches to fix these.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[patch-sendmail (text/plain, attachment)]
[patch-sendmail2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jakub Safarik <jsafarik@ymail.com>:
Bug#608525; Package sendmail. (Mon, 08 Jul 2013 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Jakub Safarik <jsafarik@ymail.com>. (Mon, 08 Jul 2013 10:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 608525@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 608525@bugs.debian.org
Subject: Re: Bug#608525: sendmail: FTBFS on hurd-i386
Date: Mon, 8 Jul 2013 12:44:41 +0200
Samuel Thibault, le Fri 31 Dec 2010 23:24:50 +0100, a écrit :
> sendmail currently FTBFS on hurd-i386 because of a not-uptodate config
> and an inconditional occurence of the optional PATH_MAX macro. Here are
> patches to fix these.

Ping?

> Samuel
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.36 (SMP w/2 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash

> --- ./include/sm/conf.h.original	2010-12-31 19:23:37.000000000 +0000
> +++ ./include/sm/conf.h	2010-12-31 19:30:40.000000000 +0000
> @@ -1101,15 +1101,23 @@
>  
>  # if defined(__GNU__) && !defined(NeXT)
>  #  include <paths.h>
> -#  define HASFCHMOD	1	/* has fchmod(2) call */
> -#  define HASFCHOWN	1	/* has fchown(2) call */
> +#  define BSD		1	/* include BSD defines */
> +#  define HASSETREGID	1	/* use setregid(2) to set saved gid */
> +#  ifndef REQUIRES_DIR_FSYNC
> +#   define REQUIRES_DIR_FSYNC	1	/* requires fsync() on directory */
> +#  endif /* REQUIRES_DIR_FSYNC */
> +#  ifndef USESETEUID
> +#   define USESETEUID	0	/* has it due to POSIX, but doesn't work */
> +#  endif /* USESETEUID */
> +#  define SM_CONF_GETOPT	0	/* need a replacement for getopt(3) */
>  #  define HASUNAME	1	/* has uname(2) call */
>  #  define HASUNSETENV	1	/* has unsetenv(3) call */
> -#  define HAS_ST_GEN	1	/* has st_gen field in stat struct */
> -#  define HASSTRERROR	1	/* has strerror(3) */
> +#  define ERRLIST_PREDEFINED	1	/* don't declare sys_errlist */
>  #  define GIDSET_T	gid_t
> -#  define SOCKADDR_LEN_T	socklen_t
> -#  define SOCKOPT_LEN_T	socklen_t
> +#  define HAS_IN_H	1	/* GNU has netinet/in.h. */
> +#  ifndef USE_SIGLONGJMP
> +#   define USE_SIGLONGJMP	1 /* sigsetjmp needed for signal handling */
> +#  endif /* ! USE_SIGLONGJMP */
>  #  if (__GLIBC__ == 2 && __GLIBC_MINOR__ > 1) || __GLIBC__ > 2
>  #   define LA_TYPE	LA_SUBR
>  #  else /* (__GLIBC__ == 2 && __GLIBC_MINOR__ > 1) || __GLIBC__ > 2 */
> @@ -1118,11 +1126,34 @@
>  #   define host_self	mach_host_self
>  #  endif /* (__GLIBC__ == 2 && __GLIBC_MINOR__ > 1) || __GLIBC__ > 2 */
>  #  define SFS_TYPE	SFS_STATFS
> +#  define SPT_PADCHAR	'\0'		/* pad process title with nulls */
> +#   ifndef HASURANDOMDEV
> +#    define HASURANDOMDEV 1	/* 2.0 (at least) has linux/drivers/char/random.c */
> +#   endif /* ! HASURANDOMDEV */
> +#  define HASSTRERROR	1	/* has strerror(3) */
> +#  ifndef TZ_TYPE
> +#   define TZ_TYPE	TZ_NONE		/* no standard for Linux */
> +#  endif /* ! TZ_TYPE */
> +#  ifndef _PATH_SENDMAILPID
> +#   define _PATH_SENDMAILPID	"/var/run/sendmail.pid"
> +#  endif /* ! _PATH_SENDMAILPID */
> +#  include <sys/sysmacros.h>
> +#  undef atol			/* wounded in <stdlib.h> */
> +#  if NETINET6
> +#     undef IPPROTO_ICMPV6	/* linux #defines, glibc enums */
> +#    if !defined(NEEDSGETIPNODE)
> +     /* Have APIs in <netdb.h>, but no support in glibc */
> +#     define NEEDSGETIPNODE	1
> +#    endif /* (GLIBC_VERSION >= 0x201 && !defined(NEEDSGETIPNODE)) */
> +#  endif /* NETINET6 */
> +#  define HASFCHOWN	1	/* has fchown(2) call */
> +#  define HASFCHMOD	1	/* has fchmod(2) call */
> +#  define HAS_ST_GEN	1	/* has st_gen field in stat struct */
> +#  define SOCKADDR_LEN_T	socklen_t
> +#  define SOCKOPT_LEN_T	socklen_t
>  #  define SPT_TYPE	SPT_CHANGEARGV
> -#  define ERRLIST_PREDEFINED	1	/* don't declare sys_errlist */
>  #  define BSD4_4_SOCKADDR	1	/* has sa_len */
>  #  define SIOCGIFCONF_IS_BROKEN  1	/* SIOCGFCONF doesn't work */
> -#  define HAS_IN_H	1	/* GNU has netinet/in.h. */
>  /* GNU has no MAXPATHLEN; ideally the code should be changed to not use it. */
>  #  define MAXPATHLEN	2048
>  # endif /* defined(__GNU__) && !defined(NeXT) */

> --- debian/sensible_mda/sensible-mda.c.in.original	2010-12-31 21:52:13.000000000 +0000
> +++ debian/sensible_mda/sensible-mda.c.in	2010-12-31 21:50:15.000000000 +0000
> @@ -59,7 +59,7 @@
>  static void	help(void);
>  static int	drop_privs(char *, uid_t, gid_t);
>  static void show_privs(void);
> -static unsigned char program[PATH_MAX];
> +static unsigned char *program;
>  
>  static uid_t RealUid, RunAsUid;
>  static gid_t RealGid, RunAsGid;
> @@ -89,9 +89,7 @@
>  		str_pos++;
>  	else
>  		str_pos = argv[0];
> -	(void) strncpy(program, str_pos,
> -		min(strlen(str_pos), sizeof(program)-1));
> -	program[sizeof(program)-1] = '\0';
> +	program = strdup(str_pos);
>  
>  	#if DEBUG
>  		str_len = 0;



Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sun, 15 Sep 2013 09:06:15 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 15 Sep 2013 09:06:16 GMT) Full text and rfc822 format available.

Message #15 received at 608525-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 608525-close@bugs.debian.org
Subject: Bug#608525: fixed in sendmail 8.14.4-4.1
Date: Sun, 15 Sep 2013 09:03:35 +0000
Source: sendmail
Source-Version: 8.14.4-4.1

We believe that the bug you reported is fixed in the latest version of
sendmail, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608525@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated sendmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 13 Sep 2013 09:58:41 +0200
Source: sendmail
Binary: sendmail-bin rmail sensible-mda libmilter1.0.1 libmilter1.0.1-dbg libmilter-dev sendmail-doc sendmail sendmail-base sendmail-cf
Architecture: source all amd64
Version: 8.14.4-4.1
Distribution: unstable
Urgency: low
Maintainer: Jakub Safarik <jsafarik@ymail.com>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 libmilter-dev - Sendmail Mail Filter API (Milter)
 libmilter1.0.1 - Sendmail Mail Filter API (Milter)
 libmilter1.0.1-dbg - Sendmail Mail Filter API (Milter)
 rmail      - MTA->UUCP remote mail handler
 sendmail   - powerful, efficient, and scalable Mail Transport Agent
 sendmail-base - powerful, efficient, and scalable Mail Transport Agent
 sendmail-bin - powerful, efficient, and scalable Mail Transport Agent
 sendmail-cf - powerful, efficient, and scalable Mail Transport Agent
 sendmail-doc - powerful, efficient, and scalable Mail Transport Agent
 sensible-mda - Mail Delivery Agent wrapper
Closes: 597781 608011 608525 609606 634378 687708 692047 709895 717951 720435
Changes: 
 sendmail (8.14.4-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix infinite loop in update_db, thanks to Flo.  (Closes: #717951)
   * Do not ship duplicate sendmail.8 manpage.  (Closes: #709895, #597781)
   * Use [linux-any] instead of hardcoded list.  (Closes: #634378)
   * Fix FTBFS with ld --as-needed, thanks to Firas Kraiem.
     (Closes: #608011, #609606)
   * sendmailconfig: Add missing quoting, thanks to Stuart Sheldon.
     (Closes: #692047)
   * Raise MAXDAEMONS from 10 to 64, thanks to Kees Cook.  (Closes: #720435)
   * Enable all hardening flags, thanks to Simon Ruderich.  (Closes: #687708)
   * Fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
   * Drop obsolete NEWS entries.
   * Use canonical Vcs-* URLs.
   * Fix duplicate and incorrect Section and Homepage settings.
   * Add missing ${misc:Depends} and predepends.
   * Update Lintian overrides.
Checksums-Sha1: 
 fd70dce40de5f92175fbb6858478e9c69d261744 2533 sendmail_8.14.4-4.1.dsc
 4401fe9600ec2e90df7cc56cbeae7d02e8472327 383092 sendmail_8.14.4-4.1.diff.gz
 5630299a69ec39f45c4e39f7834920ee3ad15273 829752 sendmail-doc_8.14.4-4.1_all.deb
 715381c3d40efcb2bd9a64642f7447dcfacfd4f3 214868 sendmail_8.14.4-4.1_all.deb
 470f3007c65f8ac68be2b38b0c0a0605d3131911 336442 sendmail-base_8.14.4-4.1_all.deb
 0dc27b39e3acf3a9352784540985ef2011ad0586 283882 sendmail-cf_8.14.4-4.1_all.deb
 e6d006c65780ec5676e9c3b7630e1c5753e5e4c6 667688 sendmail-bin_8.14.4-4.1_amd64.deb
 e7e222d869be8c7bf3e6549302fd4c3e0efe4a3e 243552 rmail_8.14.4-4.1_amd64.deb
 87634bc3f87c401358ba94e87a1cfb40cce42f6a 216980 sensible-mda_8.14.4-4.1_amd64.deb
 8ed8550a9309b2d87dcc8711a00d6e540d405367 235760 libmilter1.0.1_8.14.4-4.1_amd64.deb
 61c7631bc666a6fe3d6e9746bf7aff4d4a7cf81c 261592 libmilter1.0.1-dbg_8.14.4-4.1_amd64.deb
 bc1b8701b7b0ef472f5e3487bc63b863bb4f534d 302776 libmilter-dev_8.14.4-4.1_amd64.deb
Checksums-Sha256: 
 c869cb6b4b123e25e0e519880c9f8ee5fd0adf6cef3dc369a0809c2393a53f2c 2533 sendmail_8.14.4-4.1.dsc
 0391ea3fb067f34c0280a0ac83289f1c711af489b3a0971c77d721d652bd01e0 383092 sendmail_8.14.4-4.1.diff.gz
 20dc1e5d53e7de536b15b32ce70c2cb0766a8e900c7ed82df19cd965f77ba143 829752 sendmail-doc_8.14.4-4.1_all.deb
 9ce3e586bdcfeb7cf6e6f246af8ba46e9172a03c30e71dda2c8486555a5274d1 214868 sendmail_8.14.4-4.1_all.deb
 3eae14bb550b866ad97d39cf786642caaad6deb5025db9b32a4b1649cfe081ed 336442 sendmail-base_8.14.4-4.1_all.deb
 b22c7b10e4e6965343cd66410b1caef4dba3f5eb848ed977c3d0a9bf370552f7 283882 sendmail-cf_8.14.4-4.1_all.deb
 51d4204753e36a7aed8691046ccf9fc985c61c47e13635d16d601e7abda78afd 667688 sendmail-bin_8.14.4-4.1_amd64.deb
 55956935d0a3117e455a9b073f9c9c22e62baef6f0fbd4295d0f91a9ed155f2f 243552 rmail_8.14.4-4.1_amd64.deb
 7af8e4ca6048073f6d67622957f7d44ea62e5b89a9778dc6917164b6abbfa4be 216980 sensible-mda_8.14.4-4.1_amd64.deb
 e673e108791d0927721c4613c23ee142e5e0ad38bfa01970e9d5591d1ae4d7ba 235760 libmilter1.0.1_8.14.4-4.1_amd64.deb
 6c561ce1243fa03048d78525144644446e8a5bb79a0e72a9ab98218e6042d83a 261592 libmilter1.0.1-dbg_8.14.4-4.1_amd64.deb
 c17a9a0377ab3df3bf7828e28c97d9fb3605b295e2c158c4124d1e6a222f447c 302776 libmilter-dev_8.14.4-4.1_amd64.deb
Files: 
 16869d3a2e3f790d0bb330b87849bbc8 2533 mail extra sendmail_8.14.4-4.1.dsc
 543d1fc551051f6306378462e8443640 383092 mail extra sendmail_8.14.4-4.1.diff.gz
 e747e431a60a09e50648740677758c26 829752 doc extra sendmail-doc_8.14.4-4.1_all.deb
 748619c0f9861f677b3c091b3e977a02 214868 mail extra sendmail_8.14.4-4.1_all.deb
 4d6acffa39d15e06478609114b24e3a2 336442 mail extra sendmail-base_8.14.4-4.1_all.deb
 817c936c5361425eb633f81e3cc23684 283882 mail extra sendmail-cf_8.14.4-4.1_all.deb
 45fb2cb901dd187ca9a3d9b25691f5e0 667688 mail extra sendmail-bin_8.14.4-4.1_amd64.deb
 d144311c0518a73b7d4b00e8aa7c35f3 243552 mail extra rmail_8.14.4-4.1_amd64.deb
 6711cca23b8ce3ee29a4b784931c5ec4 216980 mail extra sensible-mda_8.14.4-4.1_amd64.deb
 1d6228020aa950436a51a9c409d8d61a 235760 libs extra libmilter1.0.1_8.14.4-4.1_amd64.deb
 2913d120cd60ef04ade1ba31b6d769a9 261592 debug extra libmilter1.0.1-dbg_8.14.4-4.1_amd64.deb
 ee02b7ae14f9a0df3a8fc7ef31d93551 302776 libdevel extra libmilter-dev_8.14.4-4.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSMsgEAAoJEF+zP5NZ6e0IeMQP/iTE8WU3WaDccPOuP0tLIrNf
+QKqDuAEJIyyRdSSnhuvA4wHOIY++HSSHNHrEaS+W5ZY2cTK52QsjM235sT3lDG0
IZUOfg5oOX/nrv+73T7D9BbXlt3N9fPd8d9Dw4a2hLCCBmGncPlJzxsnuZJagtlb
hXWP003tQ1aZdpwEAnEV+YAC4WCKfhjDoJeOR+c79tURbMt3RkNtZ9Tn6VOrSwQQ
Bgkph7RVueR57IUkgc7ZM1AsFjjht8mt1V7IOtfuApzUaMtd9fMlz13LWzWMU7Qe
wMt8OnHIWFbr72RqNEa6qWHczj3VH3PuBh/Hiy7MzPTzWrnvMoTQjZzl+zSz4NxT
hGKAipxwhejjqlQKBc00DU/6oiUrA1zWCHfN7omvxsMn/w9+gJxiPgVhG1vtMFyJ
KRuYlKy46R1HHd1jUwxwDPCDR4cO0vGpWEeJsTdtoGOpTXhQa9X+3uOoHMTgU43V
khJeLayvG+wviAhp2klikNQqBdYsxSGBIUZRKBF7Ru558iN3gES5PIFfHkacdUdY
3Jk461bM941eLnaIOf4QxLm89Y9rT1hZPygpZ4Jf9DAq/6Sf6yCKzASpKFT9F+rT
gcx1zcWOvvDtJpLsk17x2d1rUzpJZcwktAVkeNsOnIn5E/QrNpMDx4oNUxSjJzKV
M8d4ao7/xSFG4bNNVauH
=Olq2
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jakub Safarik <jsafarik@ymail.com>:
Bug#608525; Package sendmail. (Tue, 17 Sep 2013 00:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Jakub Safarik <jsafarik@ymail.com>. (Tue, 17 Sep 2013 00:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 608525@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 608525@bugs.debian.org
Subject: Re: Bug#608525 closed by Andreas Beckmann <anbe@debian.org> (Bug#608525: fixed in sendmail 8.14.4-4.1)
Date: Tue, 17 Sep 2013 01:59:28 +0200
[Message part 1 (text/plain, inline)]
Control: reopen 608525
Control: found 608525 8.14.4-4.1

Debian Bug Tracking System, le Sun 15 Sep 2013 09:06:16 +0000, a écrit :
>    * Fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)

Unfortunately, one of the two patches was missed, here it is again,
tested successfully against the latest upload.

Samuel
[patch-sendmail (text/plain, attachment)]

Bug reopened Request was from Samuel Thibault <sthibault@debian.org> to 608525-submit@bugs.debian.org. (Tue, 17 Sep 2013 00:03:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions sendmail/8.14.4-4.1. Request was from Samuel Thibault <sthibault@debian.org> to 608525-submit@bugs.debian.org. (Tue, 17 Sep 2013 00:03:10 GMT) Full text and rfc822 format available.

Marked as found in versions sendmail/8.14.4-4.1. Request was from Samuel Thibault <sthibault@debian.org> to 608525-submit@bugs.debian.org. (Tue, 17 Sep 2013 00:03:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 19 Oct 2013 12:00:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jakub Safarik <jsafarik@ymail.com>:
Bug#608525; Package sendmail. (Sun, 09 Feb 2014 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Jakub Safarik <jsafarik@ymail.com>. (Sun, 09 Feb 2014 17:33:10 GMT) Full text and rfc822 format available.

Message #33 received at 608525@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 608525@bugs.debian.org
Subject: Re: Bug#608525: closed by Andreas Beckmann <anbe@debian.org> (Bug#608525: fixed in sendmail 8.14.4-4.1)
Date: Sun, 9 Feb 2014 18:30:05 +0100
[Message part 1 (text/plain, inline)]
Hello,

I have NMU-ed to DELAYED/7 with the attached patch, which is already in
git.

Samuel
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jakub Safarik <jsafarik@ymail.com>:
Bug#608525; Package sendmail. (Sun, 09 Feb 2014 17:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Jakub Safarik <jsafarik@ymail.com>. (Sun, 09 Feb 2014 17:33:14 GMT) Full text and rfc822 format available.

Message #38 received at 608525@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 608525@bugs.debian.org
Subject: Re: Bug#608525: closed by Andreas Beckmann <anbe@debian.org> (Bug#608525: fixed in sendmail 8.14.4-4.1)
Date: Sun, 9 Feb 2014 18:30:59 +0100
[Message part 1 (text/plain, inline)]
Samuel Thibault, le Sun 09 Feb 2014 18:30:04 +0100, a écrit :
> I have NMU-ed to DELAYED/7 with the attached patch, which is already in
> git.

Oops, in the meanwhile the file has changed, here is the proper patch.

Samuel
[patch (text/plain, attachment)]

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sun, 16 Feb 2014 00:21:08 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 16 Feb 2014 00:21:08 GMT) Full text and rfc822 format available.

Message #43 received at 608525-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 608525-close@bugs.debian.org
Subject: Bug#608525: fixed in sendmail 8.14.4-5
Date: Sun, 16 Feb 2014 00:19:46 +0000
Source: sendmail
Source-Version: 8.14.4-5

We believe that the bug you reported is fixed in the latest version of
sendmail, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608525@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated sendmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Feb 2014 00:46:55 +0100
Source: sendmail
Binary: sendmail-bin rmail sensible-mda libmilter1.0.1 libmilter1.0.1-dbg libmilter-dev sendmail-doc sendmail sendmail-base sendmail-cf
Architecture: source all amd64
Version: 8.14.4-5
Distribution: unstable
Urgency: low
Maintainer: Jakub Safarik <jsafarik@ymail.com>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 libmilter-dev - Sendmail Mail Filter API (Milter)
 libmilter1.0.1 - Sendmail Mail Filter API (Milter)
 libmilter1.0.1-dbg - Sendmail Mail Filter API (Milter)
 rmail      - MTA->UUCP remote mail handler
 sendmail   - powerful, efficient, and scalable Mail Transport Agent
 sendmail-base - powerful, efficient, and scalable Mail Transport Agent
 sendmail-bin - powerful, efficient, and scalable Mail Transport Agent
 sendmail-cf - powerful, efficient, and scalable Mail Transport Agent
 sendmail-doc - powerful, efficient, and scalable Mail Transport Agent
 sensible-mda - Mail Delivery Agent wrapper
Closes: 366087 608525 615477 638952 714184 724772 736982 737164
Changes: 
 sendmail (8.14.4-5) unstable; urgency=low
 .
   * Team upload.
   * Switch from deprecated 'find -perm +xxx' to 'find -perm /xxx'.
     (Closes: #724772)
   * Start sendmail after bind9 (or any other named) if it is installed.
     (Closes: #714184)
   * Update watch file to ignore symbolic links in the ftp directory listing,
     thanks to Masatake YAMATO.  (Closes: #615477)
   * kFreeBSD: Enable HASURANDOMDEV, thanks to Brian M. Carlson.
     (Closes: #366087)
   * Really fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
   * Update logcheck patterns to match high precision timestamps, thanks to
     Ralf Döblitz  (Closes: #638952)
   * conf.c-ipv6.patch: Fix A-only MX CNAME interface binding issues when using
     IPv6, thanks to David F. Skoll.  (Closes: #737164) (LP: #1223633)
   * debian/*/Makefile.am: Recover from Makefile.in.
   * debian/rules: refresh-debian-configure: Refresh all Makefile.in, too.
   * debian/build/: Update automake helper scripts to automake 1.14.
   * debian/configure.ac: Fix libdb-dev autodetection.
   * Simplify managing the bug control files.
   * Let dh_lintian install the overrides.
   * Simplify managing generated control files by placing the templates
     directly in debian/.
   * sendmail-base.postrm: Do not mess with conffiles and other shipped files
     during purge.  (Closes: #736982)
   * Switch to debhelper compat level 9.
   * Use source format 3.0 (quilt).
   * Fix some problems reported by lintian.
   * Update Lintian overrides.
Checksums-Sha1: 
 f58416862ea7bfa10bb6bfa105c462e499d0f961 2530 sendmail_8.14.4-5.dsc
 6a14c38882883b3fc067b24014062fdb1a3b07a0 273656 sendmail_8.14.4-5.debian.tar.xz
 b6c1699cbdb530eeafdd03d1d020cc62c1712445 830582 sendmail-doc_8.14.4-5_all.deb
 8ebcce7d932b9885c3f77b30c05b3c8824e4d6ec 215528 sendmail_8.14.4-5_all.deb
 df70f7715fbb1b4b38ca4ab1ed27c13017c2d5de 337042 sendmail-base_8.14.4-5_all.deb
 6aa5b39db297c93645dbf3f19469ffce396e4edc 284608 sendmail-cf_8.14.4-5_all.deb
 b5e73491a085f270f9aa7d8a3d33f5efadc4d4aa 668196 sendmail-bin_8.14.4-5_amd64.deb
 627e306fca1d37b5635fab9a7733a0f8d546f359 244274 rmail_8.14.4-5_amd64.deb
 c4308b192bcfb4773d16f61c09ed37ce61a54f05 217656 sensible-mda_8.14.4-5_amd64.deb
 578164c056b7da7c76f3d94f9d3aa8073c44fd3a 236400 libmilter1.0.1_8.14.4-5_amd64.deb
 f1e84a66b75d76ffa79077d7734bbc3c1ba227f5 2183134 libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 1f42eb76f161dbdec4c0a6b980cdbcfc3fbeff3d 303216 libmilter-dev_8.14.4-5_amd64.deb
Checksums-Sha256: 
 7dbd777539e8fded5b34ea8e56a40322fbb5386e1ae1e4199d51a17d84032290 2530 sendmail_8.14.4-5.dsc
 dc5d6968035e963df88568f4065884f9ee86942abcde8d1a75246c4c4c9b0777 273656 sendmail_8.14.4-5.debian.tar.xz
 363610f898dd47f0ac2e73bf756c32866f3c7e8d792f4ef64e9bc5292ba995cc 830582 sendmail-doc_8.14.4-5_all.deb
 16540ae69ce453127dc51ba97bb5d027dbe47e863330af2f437d061d2d36734c 215528 sendmail_8.14.4-5_all.deb
 acd620a210ebe9dda7f85c552c0d35232bd45c52ede799d4a1c24278d275455b 337042 sendmail-base_8.14.4-5_all.deb
 839aabd1f3ee370cc2b75cdbf5e826cf8b1740b9c708750ba451db1421ccb032 284608 sendmail-cf_8.14.4-5_all.deb
 edf1443f2029642bea39bc8e9cd2bb4a4a4b443dd0ba812f33929ac5299d25a2 668196 sendmail-bin_8.14.4-5_amd64.deb
 1b948640eab6e0de07c67228356bf565ad9f6c226e6c9910352b352d634f1ed3 244274 rmail_8.14.4-5_amd64.deb
 900dfd3748745f6d2f3dbbc62605b5768870237ca5c048de6735ab7cf86878ee 217656 sensible-mda_8.14.4-5_amd64.deb
 a9856dce312a77920a8b004febadd465b7f1827876a0293d7b0424b9f17de3c5 236400 libmilter1.0.1_8.14.4-5_amd64.deb
 deb7556e4e6f63a059fce0ad7db7bd254ad5d19b22d5e9ea45bddd4858974317 2183134 libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 6a08b8bca7a43cd80785f8b030d4b91ca916e71f0b572771cd3b467a7184d133 303216 libmilter-dev_8.14.4-5_amd64.deb
Files: 
 b1ddcb8336a68a1a0e227e0ddec71726 2530 mail extra sendmail_8.14.4-5.dsc
 21ed6ce04c6b0e453d9d48e00751df19 273656 mail extra sendmail_8.14.4-5.debian.tar.xz
 e6f3db86b319b0f6d3a3d179a55d85e9 830582 doc extra sendmail-doc_8.14.4-5_all.deb
 c4820f87aa7461d818c74e18ade6305e 215528 mail extra sendmail_8.14.4-5_all.deb
 30058b32b54709f11aff4a1783031339 337042 mail extra sendmail-base_8.14.4-5_all.deb
 c0244b62fad5ccaa15daa591b91c64e1 284608 mail extra sendmail-cf_8.14.4-5_all.deb
 29121a61c1070cfb8dbb69b598cd0c03 668196 mail extra sendmail-bin_8.14.4-5_amd64.deb
 ce3961f35171980b4894a2082fa2710d 244274 mail extra rmail_8.14.4-5_amd64.deb
 e97ea5ed839420e09ce35a2f95d41395 217656 mail extra sensible-mda_8.14.4-5_amd64.deb
 858f1c5cbdd7e04b58728c0161bdde92 236400 libs extra libmilter1.0.1_8.14.4-5_amd64.deb
 1833248a83b42b28aed5066177db577e 2183134 debug extra libmilter1.0.1-dbg_8.14.4-5_amd64.deb
 c4ac5adbfee593716dd6129aba403eeb 303216 libdevel extra libmilter-dev_8.14.4-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJTAAD3AAoJEF+zP5NZ6e0IC6QP/1YdNaEz0g9iFMjGMLhl0Jah
MbNI+pf2Jw739AlQ1H5o2jdPN/b9QtQYXKDLoMx5yW/rlZb+7nD2je/Tt7S9Y8kg
Qd4ua3HeKJoueg3lWLIDtzU+lb04aecMKha3v8XQLsJllr7ONGXd4Vrhjw3WrQXY
JLhOk6fhbpBqpskzIeC9DS38r2S7Hu9+hQI9VWuV8Kqh/sm9nbcXOHQiLyNjtRjX
4ObEeWUu9aAoGcQqKp76Kc4PP9OXxS0gm/iqmMVtfOnIMugc/7AUShBxxH3dd+bp
4cSkJ3yXL/PhEigjmf+rrp/dyWx6uPeuEZ8IUAelLTqguGSwrtoe41cNxavg+UC5
PUbp+tASLrU8NksMbmGuQ0frKdsgfc1XeVNP4WVI0b97AyEhkzvT6fYXXA93aHgD
ywh/FSeOeQCV3EcOgTdy3CseY2YpbZzRG4NaXDtA8m6EolWFBRZL0n5huybrajUs
vxOf6nA+kZX9CFgcw8t1jhkvVRxH6dtkNuCAFXvf43RQ7/c79ndsi+B9c4DCYqyx
p/I+H+MrRdW7y0EIIpKBxe1g3g6ppEIo95oPni2gpKG6n1OMZuVXF4WI7EjUcv2r
mX4C4m4bgMnVMMXs1NnmFGXxP41padC2n/6/pCJPQWEGDQMREmv6irjFmM2VlRsU
6koHvjYRqRTmXXvB412i
=3o96
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Mar 2014 07:28:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:18:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.